Rails -v Error

Can anyone tell me why I’m getting this error? Thanks.

Macintosh:~ jeff$ rails -v
/usr/local/lib/ruby/1.8/yaml.rb:9:in require': no such file to load -- stringio (LoadError) from /usr/local/lib/ruby/1.8/yaml.rb:9 from /usr/local/lib/ruby/site_ruby/1.8/rubygems/config_file.rb:7:inrequire’
from /usr/local/lib/ruby/site_ruby/1.8/rubygems/config_file.rb:7
from /usr/local/lib/ruby/site_ruby/1.8/rubygems.rb:1123:in require' from /usr/local/lib/ruby/site_ruby/1.8/rubygems.rb:1123 from /usr/local/bin/rails:9:inrequire’
from /usr/local/bin/rails:9
Macintosh:~ jeff$

Jeff,

Go to the ruby source you have installed from.Then ext/stringio
Something like “/root/source/ruby-1.8.6-p369/ext/stringio”
Now here run ‘ruby extconf.rb’ then ‘make’ then ‘make install’

Now it should work fine.

Thanks,
Kilari.
http://kilari.co.in

Jeff Frazier wrote:

Can anyone tell me why I’m getting this error? Thanks.

Macintosh:~ jeff$ rails -v
/usr/local/lib/ruby/1.8/yaml.rb:9:in require': no such file to load -- stringio (LoadError) from /usr/local/lib/ruby/1.8/yaml.rb:9 from /usr/local/lib/ruby/site_ruby/1.8/rubygems/config_file.rb:7:inrequire’
from /usr/local/lib/ruby/site_ruby/1.8/rubygems/config_file.rb:7
from /usr/local/lib/ruby/site_ruby/1.8/rubygems.rb:1123:in require' from /usr/local/lib/ruby/site_ruby/1.8/rubygems.rb:1123 from /usr/local/bin/rails:9:inrequire’
from /usr/local/bin/rails:9
Macintosh:~ jeff$

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs